Bug 237114 - net-im/cutegram: fix build with GCC-based architectures
Summary: net-im/cutegram: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-08 15:19 UTC by Piotr Kubaj
Modified: 2019-04-24 19:46 UTC (History)
3 users (show)

See Also:
henry.hu.sh: maintainer-feedback+


Attachments
patch (576 bytes, patch)
2019-04-08 15:19 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-04-08 15:19:33 UTC
Created attachment 203490 [details]
patch

This port needs USES=compiler:c++11-lang to build on GCC architectures.

Tested on powerpc64 and amd64.
Comment 1 Henry Hu 2019-04-21 03:30:31 UTC
Comment on attachment 203490 [details]
patch

Looks good.
Comment 2 commit-hook freebsd_committer 2019-04-24 19:41:06 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Apr 24 19:40:48 UTC 2019
New revision: 499901
URL: https://svnweb.freebsd.org/changeset/ports/499901

Log:
  net-im/cutegram: fix build with GCC-based architectures

  PR:		237114
  Approved by:	tcberner (mentor), henry.hu.sh@gmail.com (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D20020

Changes:
  head/net-im/cutegram/Makefile
Comment 3 Piotr Kubaj freebsd_committer 2019-04-24 19:46:46 UTC
Committed, thanks!